> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# updateAccount

> Update details of the account associated with authenticated user



## OpenAPI

````yaml admin-openapi.json put /v1/admin/account/me
openapi: 3.0.0
info:
  title: Botpress Admin API
  description: API for Botpress Cloud Manager
  version: 1.52.1
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/admin/account/me:
    put:
      tags:
        - Endpoints
      description: Update details of the account associated with authenticated user
      operationId: updateAccount
      parameters:
        - name: x-multiple-integrations
          in: header
          description: >-
            Whether the client supports bots with multiple instances of the same
            integration. Set to "true" to receive integration instances keyed by
            their alias instead of their id. This header will be removed in the
            future, and the API will always return multiple instances keyed by
            alias.
          required: false
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/updateAccountBody'
      responses:
        '200':
          $ref: '#/components/responses/updateAccountResponse'
        default:
          $ref: '#/components/responses/updateAccountResponse'
components:
  requestBodies:
    updateAccountBody:
      description: Account Data
      content:
        application/json:
          schema:
            type: object
            properties:
              displayName:
                type: string
                maxLength: 100
              profilePicture:
                type: string
              refresh:
                type: boolean
            title: updateAccountBody
            additionalProperties: false
  responses:
    updateAccountResponse:
      description: Success
      content:
        application/json:
          schema:
            type: object
            properties:
              account:
                type: object
                properties:
                  id:
                    type: string
                  email:
                    type: string
                  displayName:
                    type: string
                    maxLength: 100
                  emailVerified:
                    type: boolean
                  profilePicture:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                    description: >-
                      Creation date of the [Account](#schema_account) in ISO
                      8601 format
                required:
                  - id
                  - email
                  - emailVerified
                  - createdAt
                additionalProperties: false
            required:
              - account
            title: updateAccountResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````